# Only python2 is supported
Name:		rtlsdr-scanner
Version:	1.0.22298.18049
Release:	2%{?dist}
Summary:	Frequency scanning GUI for RTL2832 based DVB-T dongles
License:	GPLv3
Group:		Applications/Engineering
URL:		http://eartoearoak.com/software/rtlsdr-scanner
Source0:	https://github.com/EarToEarOak/RTLSDR-Scanner/archive/v%{version}.tar.gz#/RTLSDR-Scanner-%{version}.tar.gz
Source1:	rtlsdr-scanner.desktop
BuildRequires:	python2-devel, ImageMagick, desktop-file-utils
Requires:	wxPython, python2-matplotlib, python2-matplotlib-wx, numpy
Requires:	python-pillow, pyserial, python2-pyrtlsdr, hicolor-icon-theme
BuildArch:	noarch
# distribution specific patch changing paths and modularizing the code
Patch0:		rtlsdr-scanner-1.0.22298.18049-fedora.patch

%description
Frequency scanning GUI for RTL2832 based DVB-T dongles. In other
words a cheap, simple Spectrum Analyser.

%package doc
Summary:	Documentation files for rtlsdr-scanner
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
%{summary}.

%prep
%setup -qn RTLSDR-Scanner-%{version}
%patch0 -p1

find src -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python2}|'

# rtlsdr_scan_diag.py is not needed in distribution
rm -f src/rtlsdr_scan_diag.py

mv src/rtlsdr_scan.py ./rtlsdr_scan

# icon
convert rtlsdr_scan.ico rtlsdr_scan.png

%build

%install
install -Dpm 0755 rtlsdr_scan %{buildroot}%{_bindir}/rtlsdr_scan
install -Dpm 0644 -t %{buildroot}%{python2_sitelib}/%{name} src/*
install -Dpm 0644 -t %{buildroot}%{_datadir}/%{name}/res res/*

# icon
install -Dpm 0644 rtlsdr_scan-8.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/rtlsdr_scan.png

# desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%doc readme.md
%{_bindir}/rtlsdr_scan
%{_datadir}/icons/hicolor/256x256/apps/rtlsdr_scan.png
%{_datadir}/applications/rtlsdr-scanner.desktop
%{_datadir}/%{name}
%{python2_sitelib}/rtlsdr-scanner/

%files doc
%doc doc/Manual.pdf

%changelog
* Fri Jul 15 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0.22298.18049-2
- Fixed icon packaging according to review

* Tue Apr 12 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0.22298.18049-1
- Initial release
